#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 kan-extensions
version:              5.2.6
visibility:           public
id:                   kan-extensions-5.2.6-Foqsu1DewIC8rX15SHixOr
key:                  kan-extensions-5.2.6-Foqsu1DewIC8rX15SHixOr
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  9d953e0c70c70c08ca6784a1f061e879
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-9.4.8/site-local/kan-extensions-5.2.6
library-dirs:         /usr/lib/ghc-9.4.8/site-local/kan-extensions-5.2.6
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/kan-extensions-5.2.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-kan-extensions
hs-libraries:         HSkan-extensions-5.2.6-Foqsu1DewIC8rX15SHixOr
depends:
    adjunctions-4.4.3-9uPcHZpXmW35jQZNZWWcN6 array-0.5.4.0
    base-4.17.2.1 comonad-5.0.9-175oGuZJmdk8N2H2xseUp7 containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    distributive-0.6.2.1-EftPvaxxltk3GbMdYU389v
    free-5.2-J6aQ9lxqrpq31IW12djLAd
    invariant-0.6.4-Ey7Z5nZTzNZG84eK8UqgwL mtl-2.2.2
    profunctors-5.6.2-1aS3zoy3Cez5Pz6ZD257d3
    semigroupoids-6.0.1-8qLN72ijylEEDKBod6y6Xy
    tagged-0.8.9-KMS3sfDasKWItFZcxfaN6C transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

